Join FlipAndroid.COM Telegram Group: https://t.me/joinchat/F_aqThGkhwcLzmI49vKAiw


Tag: Gradle

Productores de productos Gradle y estructura antigua del proyecto

Hoy empecé a convertir nuestro proyecto para usar el sistema de generación de grados. No puedo cambiar la estructura del proyecto, y tengo diferentes sabores, así que me preguntaba cómo podría anular el source para "dev" y "prod", porque esto aparentemente no funciona: buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.4.2' } } […]

Android Studio Issue – Final prematuro del archivo

Estoy usando Android Studio 0.2.6 en Mac Mountain Lion. Cuando ejecuto el proyecto por primera vez, funciona bien. Pero la próxima vez, tengo el siguiente error: Internal error: (org.jdom.input.JDOMParseException) Error on line 1: Premature end of file. org.jdom.input.JDOMParseException: Error on line 1: Premature end of file. at org.jdom.input.SAXBuilder.build(SAXBuilder.java:533) at org.jdom.input.SAXBuilder.build(SAXBuilder.java:946) at com.intellij.openapi.util.JDOMUtil.loadDocument(JDOMUtil.java:377) at com.intellij.openapi.util.JDOMUtil.loadDocument(JDOMUtil.java:355) at […]

Compilaciones de proyectos de Android, pero dependencias de maven no reconocidas en Android Studio

Agregué Google Play Services a mi proyecto de Android en dependencias de Gradle. dependencies { compile 'com.google.android.gms:play-services:4.1.32' } El problema es que Android Studio no reconoce esta dependencia. He intentado sincronizar el proyecto con los archivos gradle, pero las clases todavía no se encuentran. Puedo importar manualmente algunas clases de Google Play Services y usarlas […]

Cómo excluir un archivo jar de mi objetivo de compilación de la biblioteca de Android

Estoy usando Android Studio y tengo varias aplicaciones que dependen del mismo código. Trasladé el código compartido a una biblioteca aparte para incluirlo en mis aplicaciones. El proyecto de biblioteca ( MyLib ) que creé para este propósito requiere un archivo jar para compilarlo, por lo que lo añadí al directorio libs del proyecto. Mi […]

Gradle no está compilando para la mensajería de Cloud Firebase

Me di cuenta de que las API de Firebase han actualizado desde v 9.0.0 a v 9.0.1 y así decidimos cambiar eso. Sin embargo, no se está notando. Aquí está el error en Gradle Logcat Error:(25, 13) Failed to resolve: com.google.firebase:firebase-messaging:9.0.1 Error:(26, 13) Failed to resolve: com.google.firebase:firebase-core:9.0.1 Y aquí están mis archivos Gradle Build.Gradle-> Aplicación […]

Cómo cambiar a una versión anterior de Gradle

Tengo en mi carpeta .gradle, una carpeta 2.4 que es la versión de gradle. Quiero bajar a 2.2.1, porque necesito usar Gradle plugin 1.0.1. Ya trato de cambiar por: DistributionUrl = https: //services.gradle.org/distributions/gradle-2.2.1-all.zip Pero esto no resuelve y todavía estoy con la versión 2.4. Como puedo resolver esto?

La fusión de manifiesto ha fallado: uses-sdk: minSdkVersion 1 no puede ser más pequeña que la versión 7

Estoy estudiando este cliente de conversación Simple con Parse y estoy usando gradle 2.4 para construir mi proyecto. Mis códigos build.gradle y AndroidManifest.xml son: Construir un gradiente buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:1.1.3' } } apply plugin: 'com.android.application' android { compileSdkVersion 22 buildToolsVersion "22.0.1" } repositories { jcenter() } dependencies { […]

Error: Causa: com.android.sdklib.repository.FullRevision

Quería probar la ejecución instantánea de AS 2.0 – para que esto funcione tuve que actualizar a build-plugin a 2.0.0-alpha6 – pero al hacer esto no puedo gradle-sync el proyecto ya que estoy recibiendo: Gradle 'proyecto myProject' actualizar Error: Causa: com.android.sdklib.repository.FullRevision ¿Alguien sabe la razón / solución para esto? Yo uso JakeWharton / sdk-manager-plugin . […]

Grade Error al analizar XML: el prefijo no debe enlazarse a uno de los nombres de espacio de nombres reservados

Yo estaba trabajando en mi proyecto cuando he actualizado el Android Studio a la versión AI-141.2024585. Todo funcionó bien antes de actualizar, pero el proyecto no se compiló. Tengo este error Error: (3) Error al analizar XML: el prefijo no debe estar enlazado a uno de los nombres de espacio de nombres reservados Y este […]

Resolver Etiqueta de aplicación para cada tipo de compilación

Quiero resolver la dependencia de manifestPlaceholders para cada tipo de construcción y sabores. Por ejemplo, tengo productFlavors { dev { manifestPlaceholders = ['applicationLabel': 'DevFlavor'] } prod { manifestPlaceholders = ['applicationLabel': 'ProdFlavor'] } ….. buildTypes { debug { def old_name = manifestPlaceholders.get('applicationLabel'); // every time is null // def old_name = productFlavors.dev.manifestPlaceholders.get('applicationLabel'); // ITS OK, but […]

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.